Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.common
Class InvalidSessionStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.appflow.exception.ProcessingException
                              |
                              +--com.bea.p13n.appflow.common.InvalidSessionStateException

public class InvalidSessionStateException
extends ProcessingException

This exception will be thrown if the HttpSession is new.

InvalidSessionStateExceptions or sub-classes of InvalidSessionStateException are meant to be thrown by Input Processors if the HttpSession is new

This class was created to solve a problem caused by the com.bea.p13n.appflow.exception.InvalidSessionStateException's throwing of ApplicationException, rather than ProcessingException. Customers upgrading to 7.0 sometimes want to continue throwing InvalidSessionStateException from InputProcessor.process(), but that method throws a ProcessingException, and thus the need for this exception.

See Also:
  `InputProcessor`, Serialized Form

Constructor Summary
`InvalidSessionStateException()`
`InvalidSessionStateException(java.lang.String message)`
`InvalidSessionStateException(java.lang.String message, java.lang.Throwable embeddedException)`
`InvalidSessionStateException(java.lang.Throwable embeddedException)`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSessionStateException

    public InvalidSessionStateException()

### InvalidSessionStateException

    public InvalidSessionStateException(java.lang.String message)

### InvalidSessionStateException

    public InvalidSessionStateException(java.lang.String message,
                                        java.lang.Throwable embeddedException)

### InvalidSessionStateException

    public InvalidSessionStateException(java.lang.Throwable embeddedException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved